Bug 46698 - Installer crashed while installing rpms on L440GX
Installer crashed while installing rpms on L440GX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-06-29 17:06 EDT by Katherine Holcomb
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-02 11:14:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Traceback from anaconda (10.01 KB, text/plain)
2001-07-02 09:05 EDT, Katherine Holcomb
no flags Details

  None (edit)
Description Katherine Holcomb 2001-06-29 17:06:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9.1)

Description of problem:
I used the special boot.img floppy for the L440GX motherboard because I was
previously having indefinite hangs on the megaraid driver.  The new
boot.img worked and I was installing away when it crashed, leaving my
system in limbo.  I have a traceback I can send.

How reproducible:
Didn't try

Steps to Reproduce:
1.Get a L440GX motherboard (mine has two cpus)
2.Try to install the OS starting from the special boot.img
3.May entail trying to set up certain types of partitions

Actual Results:  Kaboom!  No OS!  It did partition the disks, however.

Expected Results:  I expected an installation of RH 7.1 (which has
otherwise behaved
very well for me on other systems).

Additional info:

The traceback included the line    os.mkdir(path, 0755)
OSError: [Errno 17] File exists: '/mnt/sysimage/home/localtmp'

Note that I was trying to set up /home/localtmp as a separate partition
with its own mount point (we have our reasons for that). Also note that
/home was getting its own (different) partition.
Comment 1 Brent Fox 2001-06-29 22:32:57 EDT
It would be most helpful if you could attach the complete debug message.
Comment 2 Katherine Holcomb 2001-07-02 09:05:16 EDT
Created attachment 22427 [details]
Traceback from anaconda
Comment 3 Matt Wilson 2001-07-02 11:14:24 EDT
Did you skip formatting your /home partition?  If you skipped formatting, did it
already have a file called "localtmp"? (not a directory, but a file?)

If you did format /home, try booting with "linux ide=nodma" at the boot: prompt
of the installer.
Comment 4 Brent Fox 2001-07-23 12:33:06 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.